microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete a memory item
DELETE
/memory_stores/{name}/items/{memory_id}
Deletes the specified memory item from the memory store.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Parametry ścieżki
name
string
wymagane
The name of the memory store.
memory_id
string
wymagane
The ID of the memory item to delete.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Odpowiedzi
The request has succeeded.
Treść
Content-Type: application/json
object
enum
wymagane
The object type. Always 'memory_store.item.deleted'.
memory_store.item.deleted
memory_id
string
wymagane
The unique ID of the deleted memory item.
deleted
boolean
wymagane
Whether the memory item was successfully deleted.
Żądanie
DELETE /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json